-- addToAddressBook.applescript
-- LoudHush


-- this script is called when "Add to Address Book" is clicked from the call history window
-- callerid is the caller id string (e.g. John Doe) - unfortunately first name and last name are not split
-- the script will iterate through all the persons in the address book
--   if a person with the last name equal to the caller id is located
--		all phones of this person are checked and if the phonenumber is not there it's added at the end
--   otherwise, if the person has not been found, a new person is added with a phone based on phoneno
on addtoaddressbook(fname, lname, phonenumber)
	tell application "Address Book"
		repeat with this_person in every person
			set last_name to last name of this_person as string
			set first_name to first name of this_person as string
			if last_name is equal to lname and first_name is equal to fname then
				
				repeat with pno in every phone of this_person
					set c_p to value of pno as string
					if phonenumber is equal to c_p then
						tell application "Finder"
							display dialog "Contact " & first_name & "(" & phonenumber & ") already exists" buttons "OK" default button "OK" with title "LoudHush AddressBook addition"
						end tell
						
						return
					end if
				end repeat
				tell this_person to make new phone at end of phones with properties {value:phonenumber, label:"phone"}
				return
			end if
		end repeat
		
		set thePerson to make new person with properties {last name:lname, first name:fname}
		tell thePerson to make new phone at end of phones with properties {value:phonenumber, label:"phone"}
		save addressbook
	end tell
end addtoaddressbook